module Stacko
  class MethodMap
    def initialize(map = {})
      @map = map
    end

    def call(env)
      meth = env['METHOD_NAME']
      raise(::Stacko::NoMethodError) unless @map.key?(meth)
      @map[meth].call(env)
    end
  end
end